Bug 216130 - (glest) Review Request: glest - 3D real time strategy game
Review Request: glest - 3D real time strategy game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On: 210553 glest-data
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-17 08:22 EST by Aurelien Bompard
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-29 02:43:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aurelien Bompard 2006-11-17 08:22:46 EST
Spec URL: http://gauret.free.fr/fichiers/rpms/fedora/glest.spec
SRPM URL: http://gauret.free.fr/fichiers/rpms/fedora/glest-2.0.0-1.src.rpm
Description:
Glest  is a free 3D real time strategy game, that can be modified
using XML and a set of tools

Project's website : http://www.glest.org
Comment 1 Rickey Moore 2006-11-18 15:52:40 EST
Needs these depends to build:
jam is needed by glest-2.0.0-1.i386
openal-devel is needed by glest-2.0.0-1.i386
xerces-c-devel is needed by glest-2.0.0-1.i386

Found the first two easily enough, the xerces-c-devel is harder to find. Ric
Comment 2 Aurelien Bompard 2006-11-19 17:02:45 EST
See bug 210553 (this bug depends on it)
Comment 3 Christopher Stone 2006-11-26 19:42:59 EST
==== REVIEW CHECKLIST ====
- rpmlint output clean
- package named according to package naming guidelines
- spec file name matches %{name}
- package meets packaging guidelines
- licensed with open source compatible license
- license matches actual license
- license file included in %doc
- spec written in American english
- spec legible
- sources match upstream
f7716da7a044dbe108c619b0f52621bb  glest_source_2.0.0.zip
- successfully compiles and builds on FC6 x86_64
- all build dependencies listed in BR
- no locales
- no shared libraries
- package is not relocatable
- package owns all directories it creates
- directories it does not create owned by filesystem
- no duplicates in %files
- file permissions set properly
- package contains proper %clean section
- macro usage consistent
- contains code
- no large documentation
- files in %doc do not affect runtime
- no header files or static libraries
- no pkgconfig files
- no need for a devel subpackage
- no .la files
- GUI app contains proper .desktop file
- package does not own files or directories owned by other packages

APPROVED

==== SHOULD ====
- Add punctuation to %description.
Comment 4 Aurelien Bompard 2006-11-29 02:43:57 EST
Imported and built, thanks for the review !
Comment 5 Rickey Moore 2006-12-15 01:19:35 EST
It plays real choppy on my machine. The audio stutters and the mouse is very slow. 
I have FC6 installed, 32bit on an Athlon 64 3200+ with two gigs of memory. I
have an nVidia 5200 video card with 256megs of memory. Ric
Comment 6 Aurelien Bompard 2006-12-16 04:52:21 EST
Please open a new bug if you want to report a problem, this bug was dedicated to
the package review, and is already closed. Thanks

Note You need to log in before you can comment on or make changes to this bug.